Bug 633966 - winxp BSOD when boot with cpu mode name [rhel-6.0.z]
Summary: winxp BSOD when boot with cpu mode name [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 629836
Blocks: 562808
TreeView+ depends on / blocked
 
Reported: 2010-09-14 19:19 UTC by RHEL Program Management
Modified: 2013-01-09 23:08 UTC (History)
13 users (show)

Fixed In Version: kernel-2.6.32-71.3.1.el6
Doc Type: Bug Fix
Doc Text:
Previously, a Windows XP host experienced the stop error screen (i.e. the "Blue Screen Of Death" error) when booted with the CPU mode name. With this update, a Windows XP host no longer experiences the aforementioned error due to added KVM (Kernel-based Virtual Machine) support for the MSR_EBC_FREQUENCY_ID model specific register.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:10:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description RHEL Program Management 2010-09-14 19:19:43 UTC
This bug has been copied from bug #629836 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 3 Eduardo Habkost 2010-09-14 20:20:37 UTC
The patches are against the kernel, not qemu-kvm, fixing component.

Comment 4 Frantisek Hrbata 2010-10-04 07:14:29 UTC
in 2.6.32-71.3.1.el6

Comment 6 Suqin Huang 2010-10-20 07:07:26 UTC
reproduce in 2.6.32-71.el6.x86_64
fixed in 2.6.32-71.5.1.el6.x86_64

1. cmd: 
/usr/libexec/qemu-kvm -monitor stdio -drive file=/root/winXP-32-virtio.qcow2,index=0,if=none,id=drive-virtio-disk1,media=disk,cache=none,boot=on,format=qcow2,aio=native -device virtio-blk-pci,bus=pci.0,addr=0x4,drive=drive-virtio-disk1,id=virtio-disk1 -device virtio-net-pci,netdev=idZlnRM2,id=ndev00idZlnRM2,mac='02:2D:4B:95:db:13',bus=pci.0,addr=0x3 -netdev tap,id=idZlnRM2,script=/scripts/qemu-ifup-switch,downscript='no' -m 2048 -smp 2  -vnc :10 -rtc base=localtime,clock=host,driftfix=none -M rhel6.0.0 -usbdevice tablet -boot c -cpu Opteron_G2

2. host:
processor	: 3
vendor_id	: AuthenticAMD
cpu family	: 16
model		: 2
model name	: AMD Phenom(tm) 9600B Quad-Core Processor

flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nonstop_tsc extd_apicid pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs npt lbrv svm_lock

3. qemu-kvm:
qemu-kvm-0.12.1.2-2.113.el6_0.3.x86_64

Comment 7 Suqin Huang 2010-10-20 07:08:04 UTC
change status to "VERIFIED" according to comment6

Comment 9 errata-xmlrpc 2010-11-10 19:10:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 10 Martin Prpič 2010-11-11 11:48:49 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, a Windows XP host experienced the stop error screen (i.e. the "Blue Screen Of Death" error) when booted with the CPU mode name. With this update, a Windows XP host no longer experiences the aforementioned error due to added KVM (Kernel-based Virtual Machine) support for the MSR_EBC_FREQUENCY_ID model specific register.


Note You need to log in before you can comment on or make changes to this bug.